787-10 (Heavy Mod) FMC broken due to Outdated AIRAC

Hey y’all! I would really appreciate your help as I cannot fly right now because of this issue. After the new sim update and the ending on my 1 month Navigraph subscription which I did not renew the 787 Heavy Division Mod will not allow me to enter the reference airport on the Position Initialization page saying there’s is an error and that my AIRAC which is the Jan-Feb 2022 one according to the INIT page is out of date. Furthermore I cannot load my flight plan via request fpl from Simbrief as an error message also shows up for that. Why would this be abs how can I fix it as I cannot fly right now at all. I’m pretty sure I don’t need a Navigraph sub to fly…

Even manually inputting the Reference Airport gives me the same error message on the FMC and does not input it at all making the aircraft impossible to fly.

Thank you for all your help!

Sincerely,
Justin

Since MSFS updates AIRAC data automatically, and Simbrief requires an active Navigraph subscription to stay up to date, you’ll find differences occasionally. It should not prevent you from entering an airport however, unless that airport was decommissioned and removed from the AIRAC.

I’d contact the developers of Heavy Division with this question. They have a Discord.

Hi @Jster82x (Justin). Since you are discussing a 3rd Party Mod, I moved your post to the appropriate #third-party-addon-discussion:aircraft category. I hope you are able to find a solution soon.

Ok thank you all! I will try and figure something out. :grinning: